## gst-plugins-ugly1.0 1.13.91

=== debian/changelog ===
gst-plugins-ugly1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:10:44 +0200

gst-plugins-ugly1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Mar 2018 10:15:17 +0200

=== debian/control ===
Source: gst-plugins-ugly1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>
Build-Depends: autoconf (>= 2.69),
               automake (>= 1.14),
               autopoint (>= 0.17),
               autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.15.1),
               libgstreamer1.0-dev (>= 1.13.91),
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base (>= 1.13.91),
               gstreamer1.0-plugins-base-doc,
               gtk-doc-tools (>= 1.12),
               liba52-0.7.4-dev,
               libcdio-dev (>= 0.76),
               libdvdread-dev (>= 0.9.0),
               libglib2.0-dev (>= 2.40),
               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
               libmpeg2-4-dev (>= 0.5.1),
               libopencore-amrnb-dev (>= 0.1.3),
               libopencore-amrwb-dev (>= 0.1.3),
               liborc-0.4-dev (>= 1:0.4.17),
               libsidplay1-dev,
               libtool (>= 2.2.6),
               libx264-dev (>= 2:0.120),
               pkg-config (>= 0.11.0)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git;a=summary
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html

Package: gstreamer1.0-plugins-ugly-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer documentation for plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains documentation for plugins from the "ugly" set,
 a set of good-quality plug-ins that might pose distribution problems.

Package: gstreamer1.0-plugins-ugly
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Replaces: gstreamer1.0-plugins-bad (<< 1.7.2),
          gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Breaks: gstreamer1.0-plugins-bad (<< 1.7.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides},
          gstreamer1.0-plugins-ugly-amr
Description: GStreamer plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains plugins from the "ugly" set, a set of
 good-quality plug-ins that might pose distribution problems.

Package: gstreamer1.0-plugins-ugly-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-ugly (= ${binary:Version}),
         ${misc:Depends}
Replaces: gstreamer1.0-plugins-bad-dbg (<< 1.7.2)
Breaks: gstreamer1.0-plugins-bad-dbg (<< 1.7.2)
Description: GStreamer plugins from the "ugly" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

DEB_DH_AUTORECONF_ARGS=--as-needed

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 1.13.91)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand
# 
# EXTRA_PLUGINS: See debian/README.Debian for docs
EXTRA_PLUGINS +=

PLUGINS += plugins-ugly $(EXTRA_PLUGINS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-ugly-doc.install \

# debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-ugly-dbg


# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-ugly$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		cat debian/gstreamer-$$p.install | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		cat debian/gstreamer-$$f | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$f; \
	done

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	for plugin in $(EXTRA_PLUGINS) ; do \
		sh debian/extra deps $$plugin >> $@; \
	done
	sort $@ -o $@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | \
		sed  -e 's/@GST_VERSION@/$(gst_version)/g' \
		    -e 's/@GST_ABI@/$(gst_abi)/g' \
		    -e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		    -e 's/@GST_LIB@/$(gst_lib)/g' \
		    -e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		    -e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		    -e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		    -e '/^Build-Depends\(-Indep\)\?/s/,\( *,\)*/,/g' \
		    -e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
		    >$@
	for plugin in $(EXTRA_PLUGINS) ; do \
		sh debian/extra control $$plugin | \
			sed 's/@GST_ABI@/$(gst_abi)/g' | \
			sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
			sed 's/@GST_LIB@/$(gst_lib)/g' | \
			sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
			sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
			sed 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' | \
			sed 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' | \
			sed 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' | \
			sed 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' >> $@; \
	done

space :=
space +=
X264_LIBRARY_PATHS := $(patsubst $(space),:,$(wildcard /usr/lib/*/x264-10bit/libx264.so.*))

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--with-x264-libraries=$(X264_LIBRARY_PATHS)

# only build the docs on arches which can
ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif


clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

common-install-impl::
	find $(CURDIR)/debian/tmp/ -name '*.la' -print -delete

common-binary-fixup-arch::
	dh_gstscancodecs

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

# Fail when files aren't installed
DEB_DH_INSTALL_ARGS := --fail-missing

.PHONY: maint

## gst-plugins-ugly1.0 1.14.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.13.91),
+               libgstreamer1.0-dev (>= 1.14.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.13.91),
+               gstreamer1.0-plugins-base (>= 1.14.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.13.91)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.14.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:42:43 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>
 Build-Depends: autoconf (>= 2.69),
@@ -12,16 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.14.0),
+               libgstreamer1.0-dev (>= 1.14.1),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.0),
+               gstreamer1.0-plugins-base (>= 1.14.1),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.1),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),
@@ -31,9 +31,9 @@
                libx264-dev (>= 2:0.120),
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git;a=summary
-Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-plugins-ugly-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.14.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:23:41 +0300

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.14.1),
+               libgstreamer1.0-dev (>= 1.14.2),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.1),
+               gstreamer1.0-plugins-base (>= 1.14.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.2),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.14.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.4-1build1) disco; urgency=medium

  * No-change rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 19:33:33 -0500

gst-plugins-ugly1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 14:02:07 +0300

gst-plugins-ugly1.0 (1.14.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:04:28 +0300

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.2)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.14.4.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.4.1-1+dde) unstable; urgency=medium

  * update

 -- Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>  Fri, 09 Jul 2021 18:46:09 +0800

gst-plugins-ugly1.0 (1.14.4.1-1+dde) buster-security; urgency=high

  * debian/patches/0001-rmdemux-Make-sure-we-have-enough-data-available-when-parsing.patch:
    + Add upstream patch for fixing out of bounds reads in ASF demuxer that
      can cause application crashes.

 -- Liuzheng <liuzheng@uniontech.com>  Thu, 22 Apr 2021 21:41:16 +0300

## gst-plugins-ugly1.0 1.14.5

=== meson_options.txt ===
option('x264_libraries', type : 'string', value : '',
       description : 'Colon separated list of additional x264 library paths, e.g. for 10-bit version')
option('with-package-name', type : 'string',
       description : 'package name to use in plugins')
option('with-package-origin', type : 'string', value : 'Unknown package origin',
       description : 'package origin URL to use in plugins')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Thu, 04 Jul 2019 11:42:40 +0100

gst-plugins-ugly1.0 (1.14.4-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.14.2),
+               libgstreamer1.0-dev (>= 1.14.5),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.2),
+               gstreamer1.0-plugins-base (>= 1.14.5),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.5),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.5)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-(1\.[\d\.]+)\.tar\.xz

## gst-plugins-ugly1.0 1.15.90

=== debian/changelog ===
gst-plugins-ugly1.0 (1.15.90-1~sync1) disco; urgency=medium

  * Upload the Debian update with a fakesync to not wait for publishing

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Apr 2019 11:08:09 +0200

gst-plugins-ugly1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:04:58 +0300

gst-plugins-ugly1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:19:28 +0200

gst-plugins-ugly1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + debian/rules:
      - Update GStreamer dependency.
  * debian/control.in:
    + Remove Loïc Minier from Uploaders. He didn't work on the packages in a
      very long time.

      Thanks a lot for his past work!
  * debian/rules:
    + Only build documentation if we build the documentation package. Thanks
      to Simon McVittie for the patch.
  * debian/patches/0001-sid-Fix-cross-compilation-by-using-AC_TRY_LINK-inste.patch:
    + Fix cross-compilation of the sidplay plugin (Closes: #917899).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 17:25:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.5)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.90)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -67,6 +67,8 @@
 endif
 VERSIONIZE= \
 	plugins-ugly-doc.install \
+
+binaries := $(shell dh_listpackages)
 
 # debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-ugly-dbg
@@ -153,11 +155,10 @@
 	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
 	--with-x264-libraries=$(X264_LIBRARY_PATHS)
 
-# only build the docs on arches which can
-ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
+# Only build documentation if we are building the -doc package
+ifneq ($(filter $(gst_pkgname)-doc,$(binaries)),)
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
 endif
-
 
 clean::
 	# get rid of the sym links

## gst-plugins-ugly1.0 1.16.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:32:16 +0300

gst-plugins-ugly1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:54:11 +0300

gst-plugins-ugly1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:21:44 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
-Uploaders: Loic Minier <lool@dooz.org>,
-           Sebastian Dröge <slomo@debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: autoconf (>= 2.69),
                automake (>= 1.14),
                autopoint (>= 0.17),
@@ -12,16 +11,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.14.5),
+               libgstreamer1.0-dev (>= 1.16.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.5),
+               gstreamer1.0-plugins-base (>= 1.16.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.5),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.0),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.90)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.16.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 11:03:02 +0300

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.16.0),
+               libgstreamer1.0-dev (>= 1.16.1),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.16.0),
+               gstreamer1.0-plugins-base (>= 1.16.1),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.16.2

=== meson_options.txt ===
option('x264_libraries', type : 'string', value : '',
       description : 'Colon separated list of additional x264 library paths, e.g. for 10-bit version')

# Feature options for plugins without external deps
option('asfdemux', type : 'feature', value : 'auto')
option('dvdlpcmdec', type : 'feature', value : 'auto')
option('dvdsub', type : 'feature', value : 'auto')
option('realmedia', type : 'feature', value : 'auto')
option('xingmux', type : 'feature', value : 'auto')

# Feature options for plugins that need external deps
option('a52dec', type : 'feature', value : 'auto', description : 'Dolby Digital (AC-3) audio decoder plugin')
option('amrnb', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Narrow-Band audio codec plugin')
option('amrwbdec', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Wide-Band audio decoder plugin')
option('cdio', type : 'feature', value : 'auto', description : 'CD audio source plugin')
option('dvdread', type : 'feature', value : 'auto', description : 'DVD video source plugin')
option('mpeg2dec', type : 'feature', value : 'auto', description : 'MPEG 2 video decoder plugin')
option('sidplay', type : 'feature', value : 'auto', description : 'Commodore 64 audio decoder plugin')
option('x264', type : 'feature', value : 'auto', description : 'H.264 video encoder plugin')

# Common feature options
option('nls', type : 'feature', value : 'auto', yield: true,
       description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield: true,
       description : 'package origin URL to use in plugins')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.16.2-2ubuntu1) groovy; urgency=medium

  * Add some dependencies on libregexp-assemble-perl, libimage-exiftool-perl, libfont-ttf-perl
    to fix a build failure (Closes: #963347)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 18:35:09 +0200

gst-plugins-ugly1.0 (1.16.2-2) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Dec 2019 12:04:15 +0200

gst-plugins-ugly1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 15:44:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.16.1),
+               libgstreamer1.0-dev (>= 1.16.2),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.16.1),
+               gstreamer1.0-plugins-base (>= 1.16.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.40),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.2),
                libmpeg2-4-dev (>= 0.5.1),
                libopencore-amrnb-dev (>= 0.1.3),
                libopencore-amrwb-dev (>= 0.1.3),
@@ -28,7 +28,8 @@
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libx264-dev (>= 2:0.120),
-               pkg-config (>= 0.11.0)
+               pkg-config (>= 0.11.0),
+               libregexp-assemble-perl, libimage-exiftool-perl, libfont-ttf-perl
 Standards-Version: 3.9.3
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/

## gst-plugins-ugly1.0 1.18.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #963347).
  * Merge changes from NMU 1.16.2-2.1 (Closes: #966827).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 12:06:06 +0300

gst-plugins-ugly1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:40:55 +0300

gst-plugins-ugly1.0 (1.17.2-1) experimental; urgency=medium

  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 12:47:53 +0300

gst-plugins-ugly1.0 (1.16.2-3) UNRELEASED; urgency=medium

  [ Sebastian Dröge ]
  * debian/rules:
    + Don't point at (non-existing) 10bit version of x264 anymore, it's
      part of the main library nowadays.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Wrap long lines in changelog entries: 1.15.1-1, 0.10.18-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Feb 2020 23:15:51 +0200

gst-plugins-ugly1.0 (1.16.2-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Gianfranco Costamagna ]
  * Add some dependencies on libregexp-assemble-perl, libimage-exiftool-perl,
    libfont-ttf-perl to fix a build failure (workaround for #963347)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Aug 2020 22:53:19 +0200

## gst-plugins-ugly1.0 1.18.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:27:06 +0200

## gst-plugins-ugly1.0 1.18.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:11:47 +0200

## gst-plugins-ugly1.0 1.18.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:54:32 +0200

## gst-plugins-ugly1.0 1.18.4

=== meson_options.txt ===
--- 
+++ 
@@ -35,3 +35,5 @@
        description : 'package name to use in plugins')
 option('package-origin', type : 'string', value : 'Unknown package origin', yield: true,
        description : 'package origin URL to use in plugins')
+option('doc', type : 'feature', value : 'auto', yield: true,
+       description: 'Enable documentation.')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.4-2+deb11u1) bullseye-security; urgency=medium

  * SA-2023-0004 / SA-2023-0005

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 12 Aug 2023 17:58:18 +0200

gst-plugins-ugly1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:56:11 +0300

gst-plugins-ugly1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:35:04 +0300

=== debian/control ===
Source: gst-plugins-ugly1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.48),
               pkg-config (>= 0.11.0),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gstreamer1.0-plugins-good (>= 1.18.0),
               liba52-0.7.4-dev,
               libcdio-dev (>= 0.76),
               libdvdread-dev (>= 0.9.0),
               libmpeg2-4-dev (>= 0.5.1),
               libopencore-amrnb-dev (>= 0.1.3),
               libopencore-amrwb-dev (>= 0.1.3),
               liborc-0.4-dev (>= 1:0.4.17),
               libsidplay1-dev,
               libtool (>= 2.2.6),
               libx264-dev (>= 2:0.120)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-ugly
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Replaces: gstreamer1.0-plugins-bad (<< 1.7.2),
          gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Breaks: gstreamer1.0-plugins-bad (<< 1.7.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides},
          gstreamer1.0-plugins-ugly-amr
Description: GStreamer plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains plugins from the "ugly" set, a set of
 good-quality plug-ins that might pose distribution problems.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-ugly1.0"
endif

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home
	dh_auto_clean

override_dh_auto_test:
	xvfb-run dh_auto_test || true

override_dh_strip:
	dh_strip --dbgsym-migration='gstreamer1.0-plugins-ugly-dbg (<< 1.17.1-1~)'

override_dh_install:
	dh_install

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-ugly1.0 1.18.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.18.5-1) jammy; urgency=medium

  * Boundary rebuild for jammy
  * branch  : master
  * commit  : debian/1.18.5-1
  * New upstream bugfix release.

 -- Laci Tele <laci@boundarydevices.com>  Sat, 10 Jun 2023 21:25:11 -0700

gst-plugins-ugly1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:43:01 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+
+export CC=/usr/lib/distcc/bin/gcc
+export CXX=/usr/lib/distcc/bin/g++
 
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
@@ -15,17 +18,17 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 # Let's decide the package name and url depending on the distribution
-DISTRO = "$(shell dpkg-vendor --query vendor)"
+VENDOR = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"
 
-ifeq ($(DISTRO),"Debian")
+ifeq ($(VENDOR),"Debian")
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"
 endif
 
-ifeq ($(DISTRO),"Ubuntu")
+ifeq ($(VENDOR),"Ubuntu")
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-ugly1.0"
 endif

## gst-plugins-ugly1.0 1.19.90

=== debian/changelog ===
gst-plugins-ugly1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:28:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.48),
+               meson (>= 0.59),
                pkg-config (>= 0.11.0),
                xvfb,
                xauth,
-               libglib2.0-dev (>= 2.44),
-               libgstreamer1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
-               gstreamer1.0-plugins-good (>= 1.18.0),
+               libglib2.0-dev (>= 2.56),
+               libgstreamer1.0-dev (>= 1.19.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
+               gstreamer1.0-plugins-base (>= 1.19.90),
+               gstreamer1.0-plugins-good (>= 1.19.90),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.20.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.20.0-1build1) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:24:42 +0100

gst-plugins-ugly1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:00:55 +0200

## gst-plugins-ugly1.0 1.20.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-               gstreamer1.0-plugins-base (>= 1.19.90),
-               gstreamer1.0-plugins-good (>= 1.19.90),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
+               gstreamer1.0-plugins-good (>= 1.20.0),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
-
-export CC=/usr/lib/distcc/bin/gcc
-export CXX=/usr/lib/distcc/bin/g++
 
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
@@ -18,23 +15,24 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 # Let's decide the package name and url depending on the distribution
-VENDOR = "$(shell dpkg-vendor --query vendor)"
+DISTRO = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"
 
-ifeq ($(VENDOR),"Debian")
+ifeq ($(DISTRO),"Debian")
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly1.0"
 endif
 
-ifeq ($(VENDOR),"Ubuntu")
+ifeq ($(DISTRO),"Ubuntu")
 GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-ugly1.0"
 endif
 
 conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
 conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
+conf_flags += -Dgpl=enabled
 
 %:
 	dh $@ --buildsystem=meson

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-plugins-ugly1.0 1.20.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Don't ignore build test failures on amd64 & arm64

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 May 2022 14:39:33 -0400

gst-plugins-ugly1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:09:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),

## gst-plugins-ugly1.0 1.20.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Jeremy Bicha ]
  * Don't ignore build test failures on amd64 & arm64.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 20 Jun 2022 10:46:59 +0300

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,13 @@
 	rm -rf $(CURDIR)/fake-home
 	dh_auto_clean
 
+# Only make the tests fail for key architectures
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	xvfb-run dh_auto_test
+else
 	xvfb-run dh_auto_test || true
+endif
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gstreamer1.0-plugins-ugly-dbg (<< 1.17.1-1~)'

## gst-plugins-ugly1.0 1.20.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 16:00:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
                meson (>= 0.59),
                pkg-config (>= 0.11.0),
@@ -26,7 +24,7 @@
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libx264-dev (>= 2:0.120)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/
 Homepage: https://gstreamer.freedesktop.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-ugly1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-ugly1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-ugly1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dgpl=enabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

execute_after_dh_install:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home
